
Infrastructure - Task #4799

Story # 4461 (Closed): CCI 1.2.6 Feature Release

create new tag release of d1_jibx_extensions

2014-04-15 21:07 - Rob Nahf

Status: Rejected Start date: 2014-04-15

Priority: High Due date:  

Assignee: Rob Nahf % Done: 10%

Category: zz_d1_jibx_extensions Estimated time: 0.00 hour

Target version: 2014.18-Block.3.1   

Milestone: None Story Points:  

Product Version: *   

Description

new dependencies introduced to the pom:

maven-antrun-plugin

maven-clean-plugin

maven-jibx-plugin

build-helper-maven-plugin

maven-javadoc-plugin

New classes in jibx.schema.codegen.extend:

FieldMatchDecoratorBase

NonEmptyNoWhitesaceString800TypeDecorator

NonemptyStringTypeDecorator

SimpleConstructorDecorator

changes to ComparableIdentifierDecorator template

History

#1 - 2014-04-17 14:59 - Rob Nahf

- Status changed from New to Rejected

- translation missing: en.field_remaining_hours set to 0.0

Looking more closely at the code outside of test, I think that the extra decorator classes are not used in code generation, and are related to desired

changes related to having parameterized constructors for simple types.  Identifier(String value), for example.

I'm going to reject this ticket, and have the new d1_common_java release use the existing tag.

#2 - 2014-05-05 21:47 - Skye Roseboom

- Target version changed from 2014.14-Block.2.3 to 2014.18-Block.3.1
